Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.container.om.portlet
Class PortletApplicationDefinitionImpl

    java.lang.Object
      org.jasig.portal.container.om.portlet.PortletApplicationDefinitionImpl

All Implemented Interfaces:
  java.io.Serializable, org.apache.pluto.om.Model, org.apache.pluto.om.portlet.PortletApplicationDefinition

    public class PortletApplicationDefinitionImpl

extends java.lang.Object
implements org.apache.pluto.om.portlet.PortletApplicationDefinition, java.io.Serializable

Implementation of Apache Pluto object model.

Version:
  $Revision: 1.3 $
Author:
  Ken Weiner, kweiner@unicon.net
See Also:
  Serialized Form

Field Summary
`private org.apache.pluto.om.common.ObjectID` | `objectId`
`private org.apache.pluto.om.portlet.PortletDefinitionList` | `portletDefinitionList`
`private UserAttributeListImpl` | `userAttributes`
`private java.lang.String` | `version`
`private org.apache.pluto.om.servlet.WebApplicationDefinition` | `webApplicationDefinition`

Constructor Summary
`PortletApplicationDefinitionImpl()`

Method Summary
`org.apache.pluto.om.common.ObjectID` | `getId()`
`org.apache.pluto.om.portlet.PortletDefinitionList` | `getPortletDefinitionList()`
`UserAttributeListImpl` | `getUserAttributes()`
`java.lang.String` | `getVersion()`
`org.apache.pluto.om.servlet.WebApplicationDefinition` | `getWebApplicationDefinition()`
`void` | `setId(java.lang.String id)`
`void` | `setPortletDefinitionList(org.apache.pluto.om.portlet.PortletDefinitionList portletDefinitions)`
`void` | `setUserAttributes(UserAttributeListImpl userAttributes)`
`void` | `setVersion(java.lang.String version)`
`void` | `setWebApplicationDefinition(org.apache.pluto.om.servlet.WebApplicationDefinition definition)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### objectId

    private org.apache.pluto.om.common.ObjectID objectId

### version

    private java.lang.String version

### portletDefinitionList

    private org.apache.pluto.om.portlet.PortletDefinitionList portletDefinitionList

### userAttributes

    private UserAttributeListImpl userAttributes

### webApplicationDefinition

    private org.apache.pluto.om.servlet.WebApplicationDefinition webApplicationDefinition

Constructor Detail

### PortletApplicationDefinitionImpl

    public PortletApplicationDefinitionImpl()

Method Detail

### getId

    public org.apache.pluto.om.common.ObjectID getId()

  Specified by:
    `getId` in interface `org.apache.pluto.om.portlet.PortletApplicationDefinition`

### getVersion

    public java.lang.String getVersion()

  Specified by:
    `getVersion` in interface `org.apache.pluto.om.portlet.PortletApplicationDefinition`

### getPortletDefinitionList

    public org.apache.pluto.om.portlet.PortletDefinitionList getPortletDefinitionList()

  Specified by:
    `getPortletDefinitionList` in interface `org.apache.pluto.om.portlet.PortletApplicationDefinition`

### getUserAttributes

    public UserAttributeListImpl getUserAttributes()

### getWebApplicationDefinition

    public org.apache.pluto.om.servlet.WebApplicationDefinition getWebApplicationDefinition()

  Specified by:
    `getWebApplicationDefinition` in interface `org.apache.pluto.om.portlet.PortletApplicationDefinition`

### setId

    public void setId(java.lang.String id)

### setPortletDefinitionList

    public void setPortletDefinitionList(org.apache.pluto.om.portlet.PortletDefinitionList portletDefinitions)

### setUserAttributes

    public void setUserAttributes(UserAttributeListImpl userAttributes)

### setVersion

    public void setVersion(java.lang.String version)

### setWebApplicationDefinition

    public void setWebApplicationDefinition(org.apache.pluto.om.servlet.WebApplicationDefinition definition)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD